### Class

# Foundry LogMessage

#### Description

    final class Foundry.LogMessage : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Instance methods

###### foundry_log_message_dup_created_at

Gets the time the log item was created.

###### foundry_log_message_dup_message

Gets the log message.

###### foundry_log_message_get_domain

Get the domain for the log item.

###### foundry_log_message_get_severity

Gets the log item severity.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Foundry.LogMessage:created-at

No description available.

###### Foundry.LogMessage:domain

No description available.

###### Foundry.LogMessage:message

No description available.

###### Foundry.LogMessage:severity

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryLogMessageClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.